packaged gem binaries cannot be located

Bug #1813086 reported by Paul Collins on 2019-01-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
rubygems-integration (Debian)
New
Unknown
rubygems-integration (Ubuntu)
Undecided
Unassigned

Bug Description

As noted in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=710814 packaged gem binaries cannot be located via .bin_file/.bin_dir and will cause other ruby code that attempts to execute binaries via these methods to fail.

Note that in 2015 bundler stated placing gem binaries in a directory named "exe", but although the error may differ slightly the cause is the same. https://bundler.io/blog/2015/03/20/moving-bins-to-exe.html

This is a particular problem for gems that attempt to execute rake via this method. Since the ruby packages depend on the rake package, gems end up with a version of rake that they cannot run via .bin_dir/.bin_file.

And also, because of bug 1405108, installing a newer version of rake via "gem install" doesn't solve the problem.

Paul Collins (pjdc) on 2019-01-23
description: updated
description: updated
Revision history for this message
Robie Basak (racb) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

Am I right in understanding that users will only bump into this when mixing ruby modules packaged in the archive and using "gem install"? If so, would Importance: Low be appropriate, since this shouldn't affect production and a workaround is available?

Changed in rubygems-integration (Debian):
status: Unknown → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.